/***************************** LICENSE START ***********************************

 Copyright 2012 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#ifndef MvFileInfo_H
#define MvFileInfo_H

#include <iostream>

using namespace std;

class MvFileInfo
{
public:
	MvFileInfo(string);

	const string& name() const {return name_;};
	const string& permissions() const {return permissions_;};
	const string& owner() const {return owner_;};
	const string& group() const {return group_;};
	const string& size() const {return size_;};
	const string& modified() const {return modified_;};
	const string& linkTo() const {return linkTo_;};
	
private:	
	string sizeInBytes(string);

	string name_;
	string permissions_;
	string owner_;
	string group_;
	string size_;
	string modified_;
	string linkTo_;
};

#endif
